Summary: NFS Utils for NFS-RDMA on kernels < 2.6.23 
Name: rnfs-utils
Group: System Environment/Daemons
License: GPL
Requires: kernel < 2.6.23, nfs-utils
BuildRequires: krb5-devel >= 1.3.1 autoconf >= 2.57 automake
BuildRequires: krb5-devel libtool krb5-libs
Version: 1.1.5
Release: OFED
BuildRoot: /var/tmp/nfs-utils-%{version}

Source: http://downloads.sourceforge.net/nfs/nfs-utils-%{version}.tar.bz2

Patch: nfs-utils-ignore_kernel_version.patch

%description
The nfs-utils package provides a daemon for the kernel NFS server and
related tools, which provides a much higher level of performance than the
traditional Linux NFS server used by most users.

This package also contains the showmount program.  Showmount queries the
mount daemon on a remote host for information about the NFS (Network File
System) server on the remote host.  For example, showmount can display the
clients which are mounted on that host.

%prep
%setup -n nfs-utils-%{version} 
%patch -p1
 
%build
%configure --disable-gss --disable-nfsv4 --program-transform-name="s/nfs/rnfs/g"
make %{?_smp_mflags}

%install
mkdir -p $RPM_BUILD_ROOT/sbin
cp utils/mount/mount.nfs $RPM_BUILD_ROOT/sbin/mount.rnfs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/sbin/*
